org.apache.cayenne.dba.ingres

## Class IngresMergerFactory

- java.lang.Object
- - org.apache.cayenne.merge.MergerFactory
  - - org.apache.cayenne.dba.ingres.IngresMergerFactory

-     public class IngresMergerFactory
      extends MergerFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IngresMergerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MergerToken` | `createAddRelationshipToDb(DbEntity entity, DbRelationship rel)`
    `MergerToken` | `createDropColumnToDb(DbEntity entity, DbAttribute column)`
    `MergerToken` | `createDropRelationshipToDb(DbEntity entity, DbRelationship rel)`
    `MergerToken` | `createSetAllowNullToDb(DbEntity entity, DbAttribute column)`
    `MergerToken` | `createSetColumnTypeToDb(DbEntity entity, DbAttribute columnOriginal, DbAttribute columnNew)`
    `MergerToken` | `createSetNotNullToDb(DbEntity entity, DbAttribute column)`

    - ### Methods inherited from class org.apache.cayenne.merge.MergerFactory

      `createAddColumnToDb, createAddColumnToModel, createAddRelationshipToModel, createCreateTableToDb, createCreateTableToModel, createDropColumnToModel, createDropRelationshipToModel, createDropTableToDb, createDropTableToModel, createSetAllowNullToModel, createSetColumnTypeToModel, createSetNotNullToModel, createSetPrimaryKeyToDb, createSetPrimaryKeyToModel, createSetValueForNullToDb`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IngresMergerFactory

          public IngresMergerFactory()

  - ### Method Detail

    - #### createSetColumnTypeToDb

          public MergerToken createSetColumnTypeToDb(DbEntity entity,
                                            DbAttribute columnOriginal,
                                            DbAttribute columnNew)

      Overrides:
        `createSetColumnTypeToDb` in class `MergerFactory`

    - #### createDropColumnToDb

          public MergerToken createDropColumnToDb(DbEntity entity,
                                         DbAttribute column)

      Overrides:
        `createDropColumnToDb` in class `MergerFactory`

    - #### createAddRelationshipToDb

          public MergerToken createAddRelationshipToDb(DbEntity entity,
                                              DbRelationship rel)

      Overrides:
        `createAddRelationshipToDb` in class `MergerFactory`

    - #### createSetNotNullToDb

          public MergerToken createSetNotNullToDb(DbEntity entity,
                                         DbAttribute column)

      Overrides:
        `createSetNotNullToDb` in class `MergerFactory`

    - #### createSetAllowNullToDb

          public MergerToken createSetAllowNullToDb(DbEntity entity,
                                           DbAttribute column)

      Overrides:
        `createSetAllowNullToDb` in class `MergerFactory`

    - #### createDropRelationshipToDb

          public MergerToken createDropRelationshipToDb(DbEntity entity,
                                               DbRelationship rel)

      Overrides:
        `createDropRelationshipToDb` in class `MergerFactory`

Copyright © 2001–2014 Apache Cayenne. All rights reserved.